#include "stuff.h"
#include "Game.h"
using namespace std;

// DATAFILE* datafile = NULL;
volatile bool close_button_pressed = false;
void close_button_callback() {
    close_button_pressed = true;
}

// YOU ARE ISLAND.
// GO ISLAND GO!

int main(int argc, char* argv[]) {
    allegro_init();
    install_keyboard();
    install_mouse();
    install_sound(DIGI_AUTODETECT, MIDI_AUTODETECT, "allegro.cfg");

    set_color_depth(32);
    set_gfx_mode(GFX_AUTODETECT_WINDOWED, 640, 480, 0, 0);
    set_window_title("YOU ARE ISLAND. - LD17 - SpaceManiac");
    enable_hardware_cursor();
    select_mouse_cursor(MOUSE_CURSOR_ARROW);
    show_mouse(screen);

    set_close_button_callback(close_button_callback);

    Game g;
    if(!g.loadres()) return 1;
    int r = g.title();
    if(r != 0) return r - 1;
    return g.play() - 1;
}

END_OF_MAIN();
